Bug 985447 - ovirt-engine service cannot recover from connectivity loss
ovirt-engine service cannot recover from connectivity loss
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Juan Hernández
Tareq Alayan
infra
:
Depends On:
Blocks: 1019461
  Show dependency treegraph
 
Reported: 2013-07-17 09:53 EDT by Ilanit Stein
Modified: 2016-02-10 14:18 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 07:59:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilanit Stein 2013-07-17 09:53:54 EDT
Description of problem:

If DB connectivity is lost at some point and later regained, the ovirt-engine service daemon will not regain connectivity unless restarted.

How reproducible:

Every time.

Steps to Reproduce:

1. ovirt-engine service is running
 
2. Disable DB:
sudo service postgresql stop

3. Enable DB:
sudo service postgresql start

4. webadmin login fail on DB connection failure.
Comment 2 Juan Hernández 2013-08-26 10:59:10 EDT
Ilanit, I can't reproduce this in my upstream environment. Do you have an environment where this is easily reproduced?
Comment 4 Barak 2013-10-14 09:48:13 EDT
Id this a duplicate of Bug 995084
Comment 5 Juan Hernández 2013-10-14 10:11:16 EDT
I think it isn't a duplicate of 995084. I can't make progress with this without a reproducer as I can reproduce it in my environment.
Comment 6 Ilanit Stein 2014-09-01 08:18:44 EDT
Tested on sudo service postgresql start.
Problem indeed do not reproduce.

Note You need to log in before you can comment on or make changes to this bug.